## com.baidubce.services.moladb.model
Class GetItemResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.GetItemResponse

    public class GetItemResponse

extends AbstractBceResponse

Represents the output of a GetItem operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetItemResponse()` Constructs a new GetItemResponse object.

Method Summary
`Map<String,AttributeValue>` `getItem()` The method return the Item that got from table in Moladb.
`void` `setItem(Map<String,AttributeValue> other)` The method set the Item that in GetItemResponse.
`String` `toString()` Return a string representation of the object.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetItemResponse

    public GetItemResponse()

  Constructs a new GetItemResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getItem

    public Map<String,AttributeValue> getItem()

  The method return the Item that got from table in Moladb.

  Returns:
    The Item got from the table in Moladb, the type is Map<String, AttributeValue>.

### toString

    public String toString()

  Return a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the object.

### setItem

    public void setItem(Map<String,AttributeValue> other)

  The method set the Item that in GetItemResponse.

  Parameters:
    `other` - The Items got from the table in MolaDB, the type is Map<String, AttributeValue>.

Copyright © 2016. All rights reserved.